#!/usr/bin/perl

use strict;
use Test::More;

my $nbtest;

use_ok('FDN::Common::Mail');
BEGIN { $nbtest += 1; }

my $res;
$res = set_mail_config('./t/mail.cfg');
is ( ref($res), 'HASH', 'set_mail_config');
is ( ref($res->{'global'}), 'HASH', 'set_mail_config');
is ( ref($res->{'mail-test'}), 'HASH', 'set_mail_config');
BEGIN { $nbtest += 3; }

my $ref = \@FDN::Common::Mail::mails;
$res = envoie_mail('toto@edgard.fdn.fr', 'test', { oui => 'non' });
ok ( $res, 'envoie_mail');
is ( $ref->[0]->{'Subject'}, 'Ceci est un mail de test (non)', 'envoie_mail' );
is ( $ref->[0]->{'Message'}, "La valeur de oui est non.\n", 'envoie_mail' );
is ( $ref->[0]->{'To'}, 'toto@edgard.fdn.fr', 'envoie_mail' );
is ( $ref->[0]->{'Bcc'}, 'bayartb@edgard.fdn.fr', 'envoie_mail' );
is ( $ref->[0]->{'From'}, 'Test <test@edgard.fdn.fr>', 'envoie_mail' );
BEGIN { $nbtest += 6; }


BEGIN { plan tests => $nbtest; }
